Skip to main content

Alerts

Alerts can be created by users on datasets. These alerts can then be used to inform users of information related to that dataset.


Requests​

Initialise an alert on a dataset​

POST /datasets/{dataset-id}/alerts

Initialises a new alert on a dataset.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/2226cbcd-d1d7-45d7-ad6a-6e7b98880b41/alerts' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

{
"id" : "d5ceb3c2-d1c6-4901-872c-de54b12ce0c5",
"created" : "2026-10-12T10:13:20.259137737",
"lastModified" : "2026-10-12T10:13:20.259140726",
"_links" : {
"create alert" : {
"href" : "https://app.meltano.com/api/datasets/2226cbcd-d1d7-45d7-ad6a-6e7b98880b41/alerts/d5ceb3c2-d1c6-4901-872c-de54b12ce0c5"
}
}
}

Create an alert on a dataset​

PUT /datasets/{dataset-id}/alerts/{alert-id}

Create a new alert on a dataset.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/2226cbcd-d1d7-45d7-ad6a-6e7b98880b41/alerts/d5ceb3c2-d1c6-4901-872c-de54b12ce0c5' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"detail" : "New dataset alert"
}'

Response​

201 Created

{
"id" : "d5ceb3c2-d1c6-4901-872c-de54b12ce0c5",
"created" : "2026-10-12T10:13:20.441530693",
"lastModified" : "2026-10-12T10:13:20.441531476",
"raised" : "2026-10-12T10:13:20.441530693",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/2226cbcd-d1d7-45d7-ad6a-6e7b98880b41"
}
}
}

View alerts on a dataset​

GET /datasets/{dataset-id}/alerts

View alerts on a dataset.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/2226cbcd-d1d7-45d7-ad6a-6e7b98880b41/alerts' -i -X GET

Response​

200 OK

{
"_embedded" : {
"alerts" : [ {
"id" : "d5ceb3c2-d1c6-4901-872c-de54b12ce0c5",
"created" : "2026-10-12T10:13:20.441531",
"lastModified" : "2026-10-12T10:13:20.441531",
"raised" : "2026-10-12T10:13:20.441531",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/2226cbcd-d1d7-45d7-ad6a-6e7b98880b41"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datasets/2226cbcd-d1d7-45d7-ad6a-6e7b98880b41/alerts?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}

View an alert​

GET /alerts/{alert-id}

View an alert.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/alerts/d5ceb3c2-d1c6-4901-872c-de54b12ce0c5' -i -X GET

Response​

200 OK

{
"id" : "d5ceb3c2-d1c6-4901-872c-de54b12ce0c5",
"created" : "2026-10-12T10:13:20.441531",
"lastModified" : "2026-10-12T10:13:20.441531",
"raised" : "2026-10-12T10:13:20.441531",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/2226cbcd-d1d7-45d7-ad6a-6e7b98880b41"
}
}
}